<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyQuote',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div>
    <SlpRow class="case-study-quote">
      <SlpColumn :cols="11">
        <a
          :href="data.url"
          class="case-study-quote__link"
          :data-ga-name="data.title_img?.alt?.replace(' Logo', '')"
          :data-ga-location="data?.ga_location"
        >
          <div
            class="case-study-quote__title-container"
            :class="{
              'case-study-quote__title-container--sm': data.small_logo,
            }"
          >
            <img
              v-if="data.title_img"
              :src="data.title_img.url"
              :alt="data.title_img.alt"
              loading="lazy"
            />
          </div>
          <SlpTypography
            v-if="data.sub_header"
            class="slp-my-32"
            tag="h5"
            variant="heading5-bold"
            >{{ data.sub_header }}</SlpTypography
          >
          <div
            class="case-study-quote__body"
            v-html="$md.render(data.quote)"
          ></div>
          <p class="slp-mt-16">
            <SlpTypography
              class="case-study-quote__author"
              tag="span"
              variant="body1-bold"
              >- {{ data.author }}</SlpTypography
            ><SlpTypography v-if="data.position" tag="span" variant="body1"
              >, {{ data.position }}</SlpTypography
            ><SlpTypography
              v-if="data.company"
              tag="span"
              variant="body1"
              class="company"
              >, {{ data.company }}</SlpTypography
            >
          </p>
          <SlpTypography
            v-if="data.cta_text"
            tag="div"
            variant="button"
            class="slp-my-48 cta__text"
            >{{ data.cta_text }}
            <SlpIcon name="chevron-lg-right" variant="product"
          /></SlpTypography>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style scoped lang="scss">
.case-study-quote {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  @media (min-width: $breakpoint-md) {
    flex-wrap: nowrap;
  }

  &__title-container {
    width: 6rem;
    img {
      max-height: 80px;
      min-height: 50px;
    }
    &--sm {
      img {
        max-height: 37px;
      }
    }
  }

  &__body {
    padding: $spacing-16 0;
    font-weight: 400;
    letter-spacing: -0.8px;
    line-height: 32px;
    font-style: italic;
    font-size: 23px;
    &:deep(strong) {
      font-style: normal;
      margin-bottom: 24px;
      display: block;
    }
  }

  &__main-img {
    min-width: 250px;
  }
}

.company {
  color: #7759c2;
}

.case-study-quote__link {
  color: $color-text-300;
  .cta {
    &__text {
      display: flex;
      align-items: center;
      font-weight: $font-weight-bold;
    }
  }
}
</style>
